### Listen config
If `type` is `unix`, `path` is the path where to create the socket, and `force` is whether to overwrite the socket file if it already exists.

If `type` is `tcp`, `port` and `host` are the host/port where to listen.

### Register timeout config
`register_timeout` is the amount of time (in milliseconds) that a connecting peer must send a "register" command after initiating a connection.

### Logging config
`logging_keys` specifies which properties of RPC request & response objects to print in logs. Optional.

A special-case logging key for responses is `value`, which enables logging responses that are primitives instead of objects.
