// matrix-appservice-kakaotalk - A Matrix-KakaoTalk puppeting bridge.
// Copyright (C) 2022 Tulir Asokan, Andrew Ferrazzutti
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.
import { sha512 } from "hash-wasm"

import kakao from "node-kakao"
const { DefaultConfiguration } = kakao


DefaultConfiguration.version = "3.4.2"
DefaultConfiguration.appVersion = "3.4.2.3187"

export const ModXVCProvider = {
	toFullXVCKey(deviceUUID, userAgent, email) {
		const source = `WINTER|${userAgent}|ARTHUR|${email}|${deviceUUID}`
		return sha512(source)
	}
}